/*
 * @Author: zc
 * @description 知识库-知识纠错
 */
import request from '@/utils/request';
/**
 * @description 纠错列表
 * @param {object} params
 * @return {*}
 */
export const correctionList = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_correction/list',
		method: 'get',
		params,
	});
};
/**
 * @description 纠错新增
 * @param {object} data
 * @return {*}
 */
export const correctionAdd = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_correction',
		method: 'post',
		data,
	});
};
/**
 * @description 纠错修改
 * @param {object} data
 * @return {*}
 */
export const correctionUpdate = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_correction',
		method: 'put',
		data,
	});
};
/**
 * @description 纠错删除
 * @param {object} data
 * @return {*}
 */
export const correctionDelete = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_correction',
		method: 'delete',
		data,
	});
};
/**
 * @description 纠错回复
 * @param {object} data
 * @return {*}
 */
export const correctionReply = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/knowledge_correction/Reply',
		method: 'put',
		data,
	});
};
/**
 * @description 纠错详情
 * @param {object} id
 * @return {*}
 */
export const correctionDetail = (id: string | string[]) => {
	return request({
		url: `/api/v1/Knowledge/knowledge_correction/${id}`,
		method: 'get',
	});
};
