/*
 * @Author: zc
 * @description 随手拍-统计查询
 */
import request from '@/utils/request';
/**
 * @description 获取网格员回复合计
 * @param {object} params
 */
export const getGridReplyCount = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/guider/reply',
		method: 'get',
		params,
	});
};
/**
 * @description 网格员回复合计导出
 * @param {object} data
 */
export const getGridReplyCountExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/guider/reply/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍所有工单基础数据
 * @param {object} params
 */
export const getSSPAllBaseData = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍所有工单
 * @param {object} params
 */
export const getSSPAllOrder = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍所有工单导出
 * @param {object} data
 */
export const getSSPAllOrderExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/order/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
